Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.faults
Class InvalidCookieException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      com.bea.wsrp.faults.TransportException
                          com.bea.wsrp.faults.InvalidCookieException

All Implemented Interfaces
  Serializable, Cloneable

    public class InvalidCookieException

extends TransportException

This exception is thrown when the producer's environment has timed out and the consumer is required to invoke initCookie again and resend any data that may have been stored in the producer's session.

See Also
  Serialized Form
  This class is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this class without notice. Extensions of this class by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`` | `InvalidCookieException()`
`` | `InvalidCookieException(String message)`
`protected` | `InvalidCookieException(String message, Throwable cause)`

Method Summary
`String` | `faultType()` Get the localPart of the fault code

Methods inherited from class com.bea.wsrp.faults.TransportException
`clone, getDetailStackTrace, getFault, getFaultCode, getFaultElement, getFaultString, getMessage, initCause, setFault`

Methods inherited from class java.rmi.RemoteException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidCookieException

    public InvalidCookieException()

### InvalidCookieException

    public InvalidCookieException(String message)

### InvalidCookieException

    protected InvalidCookieException(String message,
                                     Throwable cause)

Method Detail

### faultType

    public String faultType()

  Description copied from class: `TransportException`
  Get the localPart of the fault code

  Overrides:
    `faultType` in class `TransportException`
  Returns
    the faultCode's localpart

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.